devkitPPC release 39

Latest devkitPro news and announcements
Post Reply
WinterMute
Site Admin
Posts: 1534
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

devkitPPC release 39

Post by WinterMute » Tue May 25, 2021 10:35 pm

devkitPPC release 39 is now available via pacman. Use sudo (dkp-)pacman -Syu to update or sudo (dkp-)pacman -S devkitPPC to install.

devkitPPC release 39
  • update binutils to 2.36.1
  • update gcc to 11.1.0
  • update newlib to 4.1.0
  • Several issues were fixed, and usability and stability were improved..
Full details of gcc 11 changes can be found at https://gcc.gnu.org/gcc-11/

Of particular note is the stringop-overflow/stringop-overread/array-bounds warnings that come from writing directly to literal connstants cast as pointers. See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=99578 for example. These warnings are harmless and can be safely ignored. Upstream gcc hopes to address this issue in the near future.

----

This month, we have the following Patrons to whom we would like to give our most sincere thanks! (If you are a Patron and do not wish to be publicly listed, please let us know through any contact platform)

Michael Theall
TuxSH
Lily Foster
Kaeru Team
Ray Haleblian
Jeremy S Postelnek, Trevor Rudolph
mGBA
Mack Eugene, Tiago Nascimento, Extrems, Rajveer Aujla, Ben Morris, TheoUnderStars, Brandon, Miras Absar, rsn8887
Hamcha, Jon Bell
JerRy, Craig Richardson, Andrey Legchilin, Anders Persson, Toby Hutton, Thomas Finch, Kim Rosenbohm, Gustavo Valiente, Daniel 'dbeef' Zalega, Admiral H. Curtiss, M4xw, Lollie
Help keep devkitPro toolchains free, Donate today

Personal Blog

nebiun
Posts: 59
Joined: Sat Dec 28, 2013 2:42 pm

Re: devkitPPC release 39

Post by nebiun » Thu May 27, 2021 6:07 pm

Hi, when I try to get updates, none are found.

# pacman -Syu
:: Synchronizing package databases...
msys is up to date
dkp-libs is up to date
dkp-windows is up to date
:: Starting core system upgrade...
there is nothing to do
:: Starting full system upgrade...
there is nothing to do

And if I try:

# pacman -S devkitPPC
warning: devkitPPC-r38-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) devkitPPC-r38-1

Total Installed Size: 242.77 MiB
Net Upgrade Size: 0.00 MiB

:: Proceed with installation? [Y/n] n

What is wrong for me?
Thanks

nebiun
Posts: 59
Joined: Sat Dec 28, 2013 2:42 pm

Re: devkitPPC release 39

Post by nebiun » Fri May 28, 2021 5:46 pm

Update

Now packages are found, but I cannot install them:
# pacman -Syu
:: Synchronizing package databases...
msys is up to date
dkp-libs is up to date
dkp-windows is up to date
:: Starting core system upgrade...
there is nothing to do
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (5) devkitPPC-r39-1 devkitPPC-gdb-7.7.1-1 gamecube-tools-1.0.3-1
general-tools-1.2.0-3 wiiload-0.5.1-2

Total Download Size: 48.55 MiB
Total Installed Size: 296.49 MiB
Net Upgrade Size: 44.52 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
devkitPPC-r39-1-... 41.0 MiB 7.60 MiB/s 00:05 [#####################] 100%
error: failed retrieving file 'gamecube-tools-1.0.3-1-x86_64.pkg.tar.xz' from downloads.devkitpro.org : The requested URL returned error: 404
warning: failed to retrieve some files
error: failed to commit transaction (failed to retrieve some files)
Errors occurred, no packages were upgraded.

Trying only devkitPPC update, I have this error:

# pacman -S devkitPPC
resolving dependencies...
looking for conflicting packages...

Packages (1) devkitPPC-r39-1

Total Installed Size: 278.39 MiB
Net Upgrade Size: 35.62 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [#####################] 100%
(1/1) checking package integrity [#####################] 100%
error: devkitPPC: signature from "Dave Murphy (WinterMute) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/devkitPPC-r39-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

I need some help...
Thanks

WinterMute
Site Admin
Posts: 1534
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: devkitPPC release 39

Post by WinterMute » Sat May 29, 2021 4:05 pm

Can you try again nebiun? It should hopefully be sorted now.
Help keep devkitPro toolchains free, Donate today

Personal Blog

nebiun
Posts: 59
Joined: Sat Dec 28, 2013 2:42 pm

Re: devkitPPC release 39

Post by nebiun » Sat May 29, 2021 5:03 pm

Solved! :D

Thankyou

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest